summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-03-10 18:40:00 +0000
committerKarl Berry <karl@freefriends.org>2008-03-10 18:40:00 +0000
commit573ab25e2cbbc619bbf72b52e66cfbd3840c69d7 (patch)
tree63f6871f117479e637aa3174c036277b2a5fca5e
parent2ad41b8fefd400d69c921b12ada4c19c17484501 (diff)
finish rename of installer archives
git-svn-id: svn://tug.org/texlive/trunk@6931 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tl-make-install-pkg27
1 files changed, 16 insertions, 11 deletions
diff --git a/Master/tlpkg/bin/tl-make-install-pkg b/Master/tlpkg/bin/tl-make-install-pkg
index 4a2693dbb69..18396e5615d 100755
--- a/Master/tlpkg/bin/tl-make-install-pkg
+++ b/Master/tlpkg/bin/tl-make-install-pkg
@@ -83,7 +83,7 @@ sub cleanup {
}
foreach my $signal (@signals) {
- $SIG{"$signal"}=\&cleanup;
+ $SIG{"$signal"}=\&cleanup;
}
### create directories.
@@ -143,28 +143,33 @@ sub copy_files {
### create the .tar.gz and the .zip file
-sub make_zip {
- my $type=shift;
- chdir "$tmpdir" or die "Can't chdir \"$tmpdir\".\n";
+sub make_zip
+{
+ my ($type) = @_;
+ tllog ($::LOG_NORMAL, "making $type\n");
+
+ chdir ($tmpdir) || die "chdir($tmpdir) failed: $!";
if ($type eq 'zip') {
system('zip', '-rq', 'install-tl-w32.zip', 'install-tl');
} else {
system('tar', '-czf', 'install-tl-unx.tar.gz', 'install-tl');
}
- chdir "$installerdir";
+ chdir ($installerdir) || die "chdir($installerdir) failed: $!";
}
### copy generated files to outputdir
-sub install_zip {
- copy "$tmpdir/install-tl.tar.gz", "$outputdir";
- system ('ls', '-l', "$outputdir/install-tl-w32.tar.gz") unless ($opt_qiet);
- copy "$tmpdir/install-tl.zip", "$outputdir";
- system ('ls', '-l', "$outputdir/install-tl-unx.zip") unless ($opt_qiet);
+sub install_zip
+{
+ tllog ($::LOG_NORMAL, "installing to $outputdir\n");
+ copy "$tmpdir/install-tl-unx.tar.gz", $outputdir;
+ system ('ls', '-l', "$outputdir/install-tl-unx.tar.gz");
+
+ copy "$tmpdir/install-tl-w32.zip", $outputdir;
+ system ('ls', '-l', "$outputdir/install-tl-w32.zip");
}
### main
-
copy_files (@unix);
make_zip 'tgz';